### Method

# Pango AttrList insert

#### Declaration [src]

    void
    pango_attr_list_insert (
      PangoAttrList* list,
      PangoAttribute* attr
    )

#### Description [src]

Insert the given attribute into the `PangoAttrList`.

It will be inserted after all other attributes with a matching `start_index`.

#### Parameters

`attr`

  Type: `PangoAttribute`

  The attribute to insert.

  The instance takes ownership of the data, and is responsible for freeing it.